.cart-toast{
  position: fixed;

  top: 16px;
  left: 50%;

  transform: translateX(-50%) translateY(-20px);

  background: #111;
  color: #fff;

  padding: 12px 18px;

  border-radius: 12px;

  font-size: 14px;
  font-weight: 500;

  width: auto;          /* важно */
  max-width: 280px;     /* важно */

  white-space: nowrap;

  opacity: 0;
  pointer-events: none;

  transition:
    opacity .3s ease,
    transform .3s ease;

  z-index: 9999;
}

.cart-toast.show{
  opacity: 1;
  transform: translateX(-50%) translateY(0);
}

@media (max-width: 768px){

  .cart-toast{
    top: 16px;
    left: 50%;

    width: calc(100% - 32px);
    max-width: 400px;

    text-align: center;

    transform:
      translateX(-50%)
      translateY(-20px);
  }

  .cart-toast.show{
    transform:
      translateX(-50%)
      translateY(0);
  }
}
